﻿@using Portal.Models.PO;
@using Portal.Models.Dock;
@using System.Web.UI.WebControls
@using System.Web.Mvc;

<table border="0">
    <tr>
        <td align="left">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Doc. No.";
                    edtSettings.Width = Unit.Pixel(100);
                }).GetHtml()
        </td>
        <td>
             @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "DOC_NO";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = Unit.Percentage(80);
                }).GetHtml()  
        </td>
        <td>
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Doc. Type";
                    edtSettings.Width = Unit.Pixel(60);
                }).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
            s =>
            {
                s.Name = "DOC_TYPE";
                s.GridProperties.Name = "grdDOC_TYPE";
                s.GridProperties.KeyFieldName = "SYSTEM_VALUE";
                s.Width = Unit.Pixel(130);
                s.ReadOnly = true;
                s.GridProperties.CallbackRouteValues = new { Controller = "D31408", Action = "RetrieveDocType" };
                s.GridProperties.Width = Unit.Pixel(200);
                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                s.GridProperties.CommandColumn.ShowSelectCheckbox = true;
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SYSTEM_VALUE";
                    c.FieldName = "SYSTEM_VALUE";
                    c.Caption = "Dock Type";
                });
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SYSTEM_CD";
                    c.FieldName = "SYSTEM_VALUE";
                    c.Visible = false;
                });
            }
            ).Bind(Model.GetModel<Portal.Models.Delivery.Invoice.DeliveryJournalData>().DJSysData).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Doc. Status";
                    edtSettings.Width = Unit.Pixel(90);
                }).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
            s =>
            {
                s.Name = "DOC_STATUS";
                s.GridProperties.Name = "grdDOC_STATUS";
                s.GridProperties.KeyFieldName = "SYSTEM_VALUE";
                s.Width = Unit.Pixel(100);
                s.ReadOnly = true;
                s.GridProperties.CallbackRouteValues = new { Controller = "D31408", Action = "RetrieveDocStatus" };
                s.GridProperties.Width = Unit.Pixel(200);
                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                s.GridProperties.CommandColumn.ShowSelectCheckbox = true;
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SYSTEM_VALUE";
                    c.FieldName = "SYSTEM_VALUE";
                    c.Caption = "Dock Type";
                });
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SYSTEM_CD";
                    c.FieldName = "SYSTEM_VALUE";
                    c.Visible = false;
                });
            }
            ).Bind(Model.GetModel<Portal.Models.Delivery.Invoice.DeliveryJournalData>().DJStatusData).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Doc. Date From <font color=\"red\">*</font>";
                    edtSettings.EncodeHtml = false;
                    edtSettings.Width = Unit.Pixel(100);
                }).GetHtml()
        </td>
        <td>
             @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "DOC_DT_FROM";
                    settings.Properties.MaxLength = 10;
                    //settings.ReadOnly = true;
                    settings.Properties.AllowUserInput = false;
                    //settings.Properties.NullText = "<dd.MM.yyyy>";
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.EditFormatString = "yyyy-MM-dd";
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy"; 
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    //settings.Properties.ClientSideEvents.LostFocus = "SetActivationButton";
                    settings.Width = Unit.Percentage(80);
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.EncodeHtml = false;
                    edtSettings.Text = "Doc. Date To <font color=\"red\">*</font>";
                    edtSettings.Width = Unit.Pixel(90);
                }).GetHtml()
        </td>
        <td>
             @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "DOC_DT_TO";
                    settings.Properties.MaxLength = 10;
                    //settings.ReadOnly = true;
                    settings.Properties.AllowUserInput = false;
                    //settings.Properties.NullText = "<dd.MM.yyyy>";
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.EditFormatString = "yyyy-MM-dd";
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy"; 
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    //settings.Properties.ClientSideEvents.LostFocus = "SetActivationButton";
                    settings.Width = Unit.Percentage(80);
                }).GetHtml()
        </td>
        <td colspan="2"></td>
    </tr>
    <tr><td colspan="6">&nbsp</td></tr>
    <tr>
        <td colspan="1">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "DJDownloadButton";
                    settings.Text = "Download";
                    settings.UseSubmitBehavior = true;
                    settings.ClientSideEvents.Click = "DownloadDocument";
                }
            ).GetHtml()
        </td>
        <td colspan="4"></td>
        <td>
            <table border="0" style="width:100%">
            <tr>
                <td>
                    @Html.DevExpress().Button(
                        settings =>
                        {
                            settings.Name = "DJSearchButton";
                            settings.Text = "Search";
                            settings.UseSubmitBehavior = true;
                            settings.ClientSideEvents.Click = "SearchJournalData";
                        }
                    ).GetHtml()
                </td>
                <td>&nbsp</td>
                <td>
                    @Html.DevExpress().Button(
                        settings =>
                        {
                            settings.Name = "DJClearButton";
                            settings.Text = "Clear";
                            settings.UseSubmitBehavior = true;
                            settings.ClientSideEvents.Click = "ClearJournalData";
                        }
                    ).GetHtml()
                </td>
            </tr>
            </table>
        </td>
    </tr>
</table>